% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Wire Extensometer Link
% DatiWireExtensometer contiene le medie per l'intervallo definito 
% ARRAYdate contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ARRAYdate_3DCrL,Dati3DCrack] = MediaDati_3DCrL(Dati3DCrack,Time3DCrL,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_3DCrL function started';
fprintf(fileID,fmt,text);

[r,~]=size(Dati3DCrack);
if NdatiMedia > r
    NdatiMedia = r;
end

%% Matrice date
ARRAYdate_3DCrL = Time3DCrL;

%% Dati
Dati3DCrack = smoothdata(Dati3DCrack,'gaussian',NdatiMedia);

text = 'Average values for 3D Crack Link processed. MediaDati_3DCrL function closed';
fprintf(fileID,fmt,text);
fclose(fileID);
end